Bug 53513 - Problem with the RPM installation script as well as the new /etc/sendmail.cf
Problem with the RPM installation script as well as the new /etc/sendmail.cf
Product: Red Hat Linux
Classification: Retired
Component: sendmail (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-09-10 13:59 EDT by Need Real Name
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-09-10 13:59:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-09-10 13:59:37 EDT
Problem Description: The installation script creates "sendmail.cf" as "sendmail.cf.repnew", but the new version of sendmail uses /etc/mail/local-host-names in stead of /etc/sendmail.cw.
the old sendmail.cf tells sendmail to look for sendmail.cw, that file is renamed to sendmail.ce.rpmorig by the script. sendmail can't find sendmail.cw and fails to start. This can be fixed by edit the sendmail.cf or rename sendmail.cw.rpmorig back to the old name.
Howerer, there is another problem. If we replace the old .cf file with the new one, sendmail will start, but it only accept local connection, it is not listen to any remote connection. so far i haven't been able to figure out the cause, but i assume it has to do with the new .cf file, since the old .cf file works just fine.
Version-Release number of selected component (if applicable):

How Reproducible:

Steps to Reproduce:
1. replace old .cf with new .cf.

Actual Results: sendmail will not accept any inbound mail.

Expected Results:

Additional Information:
Comment 1 Florian La Roche 2001-12-08 04:57:32 EST
Updated rpms again allow network connections by default and the post script
takes care about the sendmail.cw conversion from older releases.

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.